#!/usr/bin/make

# dice.mak Version 0.1.0. Compile dice.c.
# Copyright (C) 2004 dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

# Debian font
XFONT=\"8x16\"

# Slackware font
# XFONT=\"linux8x16\"

# uncomment if you want the dice window in
# the upper left of your virtual desktop
# UPPERLEFT=-D UPPERLEFT

OBJ=dice.o \
	rnd.o \
	rndpwr.o \
	rndnum.o \
	rndinit.o \
	getmd5.o \
	md5c.o

CC=gcc

CFLAGS=-c -Wall -O6 -I/usr/X11R6/include/X11 \
        -DFONT=$(XFONT) \
	$(UPPERLEFT)

CFLG=-c -Wall -O6

LDFLAGS=-L/usr/X11R6/lib -lX11

dice:	$(OBJ)
	$(CC) -Wall -O6 $(OBJ) -o dice $(LDFLAGS)

dice.o:		dice.c dice.mak
	$(CC) $(CFLAGS) dice.c

rnd.o:		rnd.s
	$(CC) $(CFLG) rnd.s

rndpwr.o:	rndpwr.s
	$(CC) $(CFLG) rndpwr.s

rndnum.o:	rndnum.s
	$(CC) $(CFLG) rndnum.s

rndinit.o:	rndinit.c
	$(CC) $(CFLG) rndinit.c

getmd5.o:	getmd5.c
	$(CC) $(CFLG) getmd5.c

md5c.o:		md5c.c
	$(CC) $(CFLG) md5c.c

clean:
	rm -f dice $(OBJ)
